# Exit

The *exit* plugin is a utility plugin which causes Fluent Bit to exit after one of the following occurs:

* receiving a set number of records (`record_count`).
* being flushed a set number of times (`flush_count`).
* being flushed after a set number of seconds have transpired (`time_count`).

At least one of these parameters must be set. If more than one is set the plugin exits when any one of the set conditions is met.

## Configuration parameters

| Key            | Description                                   | Default |
| -------------- | --------------------------------------------- | ------- |
| `Record_Count` | Number of records to wait for before exiting. | *none*  |
| `Flush_Count`  | Number of flushes to wait for before exiting. | *none*  |
| `Time_Count`   | Number of seconds to wait for before exiting. | *none*  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluentbit.io/manual/4.1/data-pipeline/outputs/exit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
